These are chat archives for reactioncommerce/reaction

14th
Apr 2016
Spencer Norman
@spencern
Apr 14 2016 03:49
rm -rf ~.meteor taking forever
Brent Hoover
@zenweasel
Apr 14 2016 03:53
Yep, same thing happened to me. But it was worth it.
Don’t quite understand it, tbh
Spencer Norman
@spencern
Apr 14 2016 03:54
after it’s done did you just reinstall meteor via curl?
Brent Hoover
@zenweasel
Apr 14 2016 03:55
You know, I can’t remember if I did or not, or just started a meteor app
I’m tempted to try it again just to see if that works
Spencer Norman
@spencern
Apr 14 2016 03:57
i’ll try via curl and let you know the results
Brent Hoover
@zenweasel
Apr 14 2016 03:57
Yeah, now I remember, this is what happened
brenthoover, this is your first time using Meteor!
Installing a Meteor distribution in your home directory.
Spencer Norman
@spencern
Apr 14 2016 03:58
i’ve still got a .meteorite directory in my home as well, think I can kill it?
as well as .meteorsession
Brent Hoover
@zenweasel
Apr 14 2016 04:00
I don’t know for sure, not sure what the .meteorite dir is
I’m whacking my meteorsession to see though
Downloading meteor is slow from here
Spencer Norman
@spencern
Apr 14 2016 04:01
I bet
looks like .meteorite is just old packages for pre Meteor 0.9.x
Brent Hoover
@zenweasel
Apr 14 2016 04:03
Yeah, too OG for me
Spencer Norman
@spencern
Apr 14 2016 04:08
Looks like .meteorsessions is just tokens for authenticating with meteor.com and their packages server
seems worth it though, shrank my .meteor dir from 8.1G to 959M
Brent Hoover
@zenweasel
Apr 14 2016 04:12
Yeah, plus whatever time it took for it do version resolution, etc.
with 25 versions of every package you’ve ever installed
Spencer Norman
@spencern
Apr 14 2016 04:13
haha
Tyler Carroll
@thaicares
Apr 14 2016 06:49
so I ran into a beautiful error
reactioncommerce:reaction-auth-net 0.6.1, was 0.6.2.
the entire error I guess reads....
While selecting package versions:
error: Potentially incompatible change required to top-level dependency:
reactioncommerce:reaction-auth-net 0.6.1, was 0.6.2.
Constraints on package "reactioncommerce:reaction-auth-net":
Tyler Carroll
@thaicares
Apr 14 2016 06:55
it just appears that 0.6.1 is the newest version and trying to subvert this has led to the app not running correctly
Brent Hoover
@zenweasel
Apr 14 2016 09:04
Are you running from the development branch?
You can run with --allow-incompatible-update, although I don’t know why it would be looking for auth-net 0.6.2
Owen Hoskins
@owenhoskins
Apr 14 2016 09:07
quick Q to help me catch up: has the branch meteor-one-three been merged into dev?
Brent Hoover
@zenweasel
Apr 14 2016 09:07
@owenhoskin Yep
Owen Hoskins
@owenhoskins
Apr 14 2016 09:07
thought so, thxs!
Brent Hoover
@zenweasel
Apr 14 2016 09:18
@thaicares Your issue should be cleared up now. Someone forgot to publish a package after bumping the version
Tyler Carroll
@thaicares
Apr 14 2016 18:02
well Brent Hoover for whatever reason I'm not getting past the blank page
http://104.236.249.101:3000/ I used nothing but the necessary to get this up and it is showing up blank however there is the favicon displaying view source returns a lot of javascript...
http://104.236.249.101:3000/
this is like the 5th time I've ran a similar setup that I've gotten these results and I'm just not sure what I must be skipping over!
Aaron Judd
@aaronjudd
Apr 14 2016 19:39
@thaicares run reaction pull or meteor npm install, before running reaction, looking at your console I see: Uncaught Error: Cannot find module 'bunyan-format/package.json’ which probably means the not all the npm packages are installed
Spencer Norman
@spencern
Apr 14 2016 19:45
I was getting the same blank screen error after upgrading to 1.3 before running meteor npm install as well and that cleaned it up for me
bluerabbbit
@bluerabbbit
Apr 14 2016 19:48
hey guys, really interested in participating in your project and getting bitcion support up and running. what are some key features you expect from currency support via bitcoin?
Tyler Carroll
@thaicares
Apr 14 2016 19:49
I just ran it still blank with tons of errors...
Aaron Judd
@aaronjudd
Apr 14 2016 22:51
@bluerabbbit I know that this was published a long time ago, and not sure if it ever worked, but probably worth checking out https://atmospherejs.com/matrixnad/reaction-bitcoin
nobody has ever written a detailed issue (other than #166) for this, so don’t really have a list of features we’d expect. Probably the same features as the reaction-paymentmethod (the generic example)
Brent Hoover
@zenweasel
Apr 14 2016 22:56
Adding it as a currency would be fairly simple except we would need some way of getting a conversion value